Virtualmin repositories not enabled by default?

SYSTEM INFORMATION
OS type and version Ubuntu Linux 22.04.4
Webmin version 2.111
Virtualmin version 7.10.0

I got some error messages about the Virtualmin repositories when doing “sudo apt-get update” and thought this is because of using an old repository, so run the two commands from the “Troubleshot Repositories” help page and this seem to have fixed it.

sudo sh -c “$(curl -fsSL https://software.virtualmin.com/gpl/scripts/virtualmin-install.sh)” – --setup
and just to be on the safe side:
sudo virtualmin setup-repos

However, when checking the “Package Repositories” in the “Software Package Updates” section in Virtualmin, I see all the Jammy repositories enabled but the Virtualmin repositoried marked in red as not enabled:

jammy/main/restricted Yes Index of /ubuntu
jammy-updates/main/restricted Yes Index of /ubuntu
jammy/universe Yes Index of /ubuntu
jammy-updates/universe Yes Index of /ubuntu
jammy/multiverse Yes Index of /ubuntu
jammy-updates/multiverse Yes Index of /ubuntu
jammy-backports/main/restricted/universe/multiverse Yes Index of /ubuntu
jammy-security/main/restricted Yes Index of /ubuntu
jammy-security/universe Yes http://security.ubuntu.com/ubuntu
jammy-security/multiverse Yes Index of /ubuntu
jammy/main Yes Index of /maxmind/ppa/ubuntu
virtualmin-xenial/main/#/disabled/on/upgrade/to/focal No Index of /vm/6/gpl/apt
virtualmin-universal/main/#/disabled/on/upgrade/to/focal No Index of /vm/6/gpl/apt
sarge/contrib/#/disabled/on/upgrade/to/focal No Index of /download/repository

Should I do anything about it?

1 Like

This topic was automatically closed 60 days after the last reply. New replies are no longer allowed.